<?php

namespace app\model;

use DateTimeInterface;
use support\Model;

class Supplier extends Model
{
    public $table = 'supplier';

    public $primaryKey = 'supplier_id';

    public $dateFormat = 'U';

    const CREATED_AT = 'supplier_addtimes';

    const UPDATED_AT = null;

    public function serializeDate(DateTimeInterface $date)
    {
        return $date->format('Y-m-d H:i:s');
    }
}